## kio-gopher 0.1.4

=== CMakeLists.txt ===

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES})

add_subdirectory(doc)

set(kio_man_PART_SRCS kio_gopher.cpp)

kde4_add_plugin(kio_gopher ${kio_man_PART_SRCS})

target_link_libraries(kio_gopher  ${KDE4_KIO_LIBS})

install(TARGETS kio_gopher  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES gopher.protocol DESTINATION  ${SERVICES_INSTALL_DIR})

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )

=== doc/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kioslave/gopher)

=== po/CMakeLists.txt ===
add_subdirectory( ar )
add_subdirectory( bg )
add_subdirectory( br )
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( cy )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hr )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( ka )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( lv )
add_subdirectory( ms )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( pa )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( rw )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( ta )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== doc-translations/ca_kioslave/gopher/kioslave/gopher/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ca/ SUBDIR kioslave/gopher)

=== doc-translations/da_kioslave/gopher/kioslave/gopher/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/da/ SUBDIR kioslave/gopher)

=== doc-translations/de_kioslave/gopher/kioslave/gopher/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de/ SUBDIR kioslave/gopher)

=== doc-translations/en_GB_kioslave/gopher/kioslave/gopher/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en_GB/ SUBDIR kioslave/gopher)

=== doc-translations/es_kioslave/gopher/kioslave/gopher/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es/ SUBDIR kioslave/gopher)

=== doc-translations/et_kioslave/gopher/kioslave/gopher/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/et/ SUBDIR kioslave/gopher)

=== doc-translations/fr_kioslave/gopher/kioslave/gopher/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr/ SUBDIR kioslave/gopher)

=== doc-translations/gl_kioslave/gopher/kioslave/gopher/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/gl/ SUBDIR kioslave/gopher)

=== doc-translations/it_kioslave/gopher/kioslave/gopher/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it/ SUBDIR kioslave/gopher)

## kio-gopher 0.1.3-kde4.4.0

=== debian/changelog ===
kio-gopher (0.1.3-kde4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-dependends and Standards-version
    - Drop cdbs
    - Switch to dh --with kde
    - Source format 3.0

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 13 Feb 2010 00:37:32 +0100

kio-gopher (0.1.3-kde4.3.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Aug 2009 12:40:46 +0100

kio-gopher (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Improve the description a bit.
  * Remove duplicate Section from binary stanza in control.
  * Switch copyright to DEP 5, revision 54.
  * Remove extra quilt build-dep, not used at the moment.

 -- Pino Toscano <pino@kde.org>  Wed, 03 Jun 2009 12:38:58 +0200

kio-gopher (0.1.2-2) unstable; urgency=low

  * Add watch file.
  * Bump Standards-Version to 3.8.1, no changes required.

 -- Pino Toscano <pino@kde.org>  Fri, 22 May 2009 11:10:37 +0200

kio-gopher (0.1.2-1) experimental; urgency=low

  * Initial release. (Closes: #519697)

 -- Pino Toscano <pino@kde.org>  Sat, 14 Mar 2009 15:00:08 +0100

=== debian/control ===
Source: kio-gopher
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@kde.org>
Build-Depends: debhelper (>= 7.1.13), pkg-kde-tools (>= 0.5.3),
 kdelibs5-dev (>= 4:4.4.0), gettext
Standards-Version: 3.8.4
Homepage: http://kgopher.berlios.de/

Package: kio-gopher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gopher KIO slave for KDE4
 kio-gopher provides support for the "gopher:" protocol in Konqueror and in
 other KDE applications. This allows you to display web contents using the
 Gopher protocol.
 .
 Currently it supports most (if not all) of the Gopher protocol.

=== debian/watch ===
version=3
# remove the "-kde4-x.y.z" trailing from the upstream version, as we do not use such version number
opts=uversionmangle=s/-kde4.*$// \
  ftp://ktown.kde.org/pub/kde/stable/latest/src/extragear/kio_gopher-(.*).tar.bz2 debian uupdate

## kio-gopher 0.1.4

=== debian/changelog ===
kio-gopher (0.1.4-2) unstable; urgency=medium

  * Add Vcs-* headers.
  * Raise debhelper compatibility to 9:
    - bump compat to 9
    - bump debhelper build dependency to >= 9
  * Switch copyright to copyright-format 1.0.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Update watch file.
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jan 2016 17:24:13 +0100

kio-gopher (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Switch to my @debian.org address, I'm a DD now.
  * Fix and reeable the watch file.
  * Update copyright.
  * Update Homepage to point to the new userbase.kde.org home.
  * Remove DM-Upload-Allowed: yes, no more needed now.
  * Bump Standards-Version to 3.9.2, no changes required.
  * Switch to format "3.0 (quilt)".
  * Adjust `dh' invocation in rules to be more compatible with greater dh
    compat versions.
  * Enable parallel building:
    - bump debhelper build dependency to >= 7.4.10
    - pass --parallel to `dh'

 -- Pino Toscano <pino@debian.org>  Sat, 18 Feb 2012 12:58:10 +0100

kio-gopher (0.1.3-2) unstable; urgency=low

  [ Pino Toscano ]
  * Add the cmake build dependency, as it is no more provided by kdelibs5-dev.
    (Closes: #581274)
  * Convert to dh7:
    - bump debhelper build dependency to >= 7.3.16
    - bump pkg-kde-tools build dependency to >= 0.5
    - remove cdbs build dependency
    - install BUGS and README using docs file
  * Bump Standards-Version to 3.8.4, no changes required.
  * Set the source format to 1.0, for now.
  * Disable the watch file, as monitoring latest extragear releases is not
    fully reliable.

  [ Ana Beatriz Guerrero Lopez ]
  * Add DM-Upload-Allowed: yes. 

 -- Pino Toscano <pino@kde.org>  Wed, 12 May 2010 17:28:33 +0200

=== debian/control ===
Source: kio-gopher
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake,
 kdelibs5-dev (>= 4:4.2.0), gettext
Standards-Version: 3.9.6
Homepage: http://userbase.kde.org/Kio_gopher
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kio-gopher/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kio-gopher/

Package: kio-gopher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gopher KIO slave for KDE4
 kio-gopher provides support for the "gopher:" protocol in Konqueror and in
 other KDE applications. This allows you to display web contents using the
 Gopher protocol.
 .
 Currently it supports most (if not all) of the Gopher protocol.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

=== debian/watch ===
version=3
http://download.kde.org/stable/extragear/kio-gopher-(.*).tar.(?:bz2|xz)

## kio-gopher 0.1.99

=== CMakeLists.txt ===
project(kio_gopher)

cmake_minimum_required(VERSION 2.8.12)
set(QT_MIN_VERSION 5.5.0)
set(KF5_MIN_VERSION 5.27.0)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMInstallIcons)
include(FeatureSummary)
include(GenerateExportHeader)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(Qt5 REQUIRED NO_MODULE
    COMPONENTS
    Core
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    COMPONENTS
    Codecs
    DocTools
    IconThemes
    I18n
    KIO
)

add_definitions(-DTRANSLATION_DOMAIN=\"kio5_gopher\")
add_subdirectory(doc)

set(kio_gopher_PART_SRCS kio_gopher.cpp)

add_library(kio_gopher MODULE ${kio_gopher_PART_SRCS})

target_link_libraries(kio_gopher
    KF5::Codecs
    KF5::IconThemes
    KF5::I18n
    KF5::KIOCore
)

set_target_properties(kio_gopher PROPERTIES OUTPUT_NAME "gopher")
install(TARGETS kio_gopher DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)
find_package(KF5DocTools CONFIG REQUIRED)
kdoctools_install(po)

=== doc/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kioslave5/gopher)

=== debian/changelog ===
kio-gopher (0.1.99-4) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113080)
  * Rename debian/docs to debian/kio-gopher.docs to make it clearer to which
    package it refers.
  * Drop signing options from debian/watch, and simplify it.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Oct 2025 07:32:31 +0200

kio-gopher (0.1.99-3) unstable; urgency=medium

  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Update standards version to 4.5.1, no changes needed.
  * Add Rules-Requires-Root: no.
  * Add a basic upstream/metadata file.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jan 2021 17:55:16 +0100

kio-gopher (0.1.99-2) unstable; urgency=medium

  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Bump Standards-Version to 4.2.1, no changes required.
  * Remove empty line at the end of rules.

 -- Pino Toscano <pino@debian.org>  Sun, 25 Nov 2018 19:00:47 +0100

kio-gopher (0.1.99-1) unstable; urgency=medium

  * New upstream release:
    - switches to Qt5/KF5 (Closes: #874971)
  * Bump Standards-Version to 4.1.3, no changes required.
  * Update the watch file.
  * Update Vcs-Browser field.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5codecs-dev,
      libkf5doctools-dev, libkf5iconthemes-dev, libkf5i18n-dev, and
      libkf5kio-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Minor change to the description.
  * Do not install the BUGS file as documentation, since it does not exist
    anymore.
  * Remove trailing whitespaces in changelog.
  * Use https in Homepage.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 13:12:30 +0100

=== debian/control ===
Source: kio-gopher
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 13), pkg-kde-tools (>= 0.15.16), cmake,
 gettext,
 extra-cmake-modules (>= 5.27.0~),
 qtbase5-dev (>= 5.5.0~),
 libkf5codecs-dev (>= 5.27.0~),
 libkf5doctools-dev (>= 5.27.0~),
 libkf5iconthemes-dev (>= 5.27.0~),
 libkf5i18n-dev (>= 5.27.0~),
 libkf5kio-dev (>= 5.27.0~),
Standards-Version: 4.7.2
Homepage: https://userbase.kde.org/Kio_gopher
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-gopher.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-gopher

Package: kio-gopher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gopher KIO slave
 kio-gopher provides support for the "gopher:" protocol in Konqueror and in
 other KDE applications. This allows you to display web contents using the
 Gopher protocol.
 .
 Currently it supports most (if not all) of the Gopher protocol.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
version=4
https://download.kde.org/unstable/kio-gopher kio-gopher-(.*)\.tar\.xz
